Bug 887490

Summary: Review Request: sugar-hello-world - Sugar activity to print "Hello world" on screen
Product: [Fedora] Fedora Reporter: Kalpa Welivitigoda <callkalpa>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mario.blaettermann, notting, package-review
Target Milestone: ---Flags: mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-01 23:30:50 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Kalpa Welivitigoda 2012-12-15 10:56:50 EST
Spec URL: http://callkalpa.fedorapeople.org/sugar-hello-world/sugar-hello-world.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-hello-world/sugar-hello-world-6-1.fc17.src.rpm
Description:

Hello World is an activity for sugar and will print out "Hello world" on the screen. This is the simplest activity possible for sugar. This activity can be used as a starting point to examine the activity code and create your own sugar activity.
Comment 2 Mario Blättermann 2013-01-13 14:20:44 EST
Some initial issues:

Use python2 instead of python.

Remove obsolete stuff:
rm -rf $RPM_BUILD_ROOT
%defattr(-,root,root,-)
Comment 4 Mario Blättermann 2013-01-14 06:13:52 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4866671

Build fails with the following error message:

Traceback (most recent call last):
  File "./setup.py", line 19, in <module>
    from sugar3.activity import bundlebuilder
ImportError: No module named sugar3.activity

It seems sugar-toolkit-gtk3 is needed instead of sugar-toolkit.
Comment 5 Kalpa Welivitigoda 2013-01-18 22:43:37 EST
Yes it needs sugar-toolkit-gtk3. Modified the spec accordingly. Please find the modified files,

Spec URL: http://callkalpa.fedorapeople.org/sugar-hello-world/sugar-hello-world.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-hello-world/sugar-hello-world-6-3.fc17.src.rpm
Comment 6 Mario Blättermann 2013-01-19 13:04:09 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4885797


$ rpmlint -i -v *
sugar-hello-world.src: I: checking
sugar-hello-world.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-hello-world.src: I: checking-url http://activities.sugarlabs.org/en-US/sugar/addon/4418 (timeout 10 seconds)
sugar-hello-world.src: I: checking-url http://mirrors.rit.edu/sugarlabs/activities/4418/helloworld-6.xo (timeout 10 seconds)
sugar-hello-world.noarch: I: checking
sugar-hello-world.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-hello-world.noarch: I: checking-url http://activities.sugarlabs.org/en-US/sugar/addon/4418 (timeout 10 seconds)
sugar-hello-world.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-hello-world.spec: I: checking-url http://mirrors.rit.edu/sugarlabs/activities/4418/helloworld-6.xo (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Warnings about unknown package groups are ignorable.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    8de497efb9072d760e51ed18bbb92373fe0fc261cf0b7f4f97a28a3473f24b04  helloworld-6.xo
    8de497efb9072d760e51ed18bbb92373fe0fc261cf0b7f4f97a28a3473f24b04  helloworld-6.xo.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 7 Kalpa Welivitigoda 2013-01-20 04:28:19 EST
Thanks Mario
Comment 8 Kalpa Welivitigoda 2013-01-20 04:29:36 EST
New Package SCM Request
=======================
Package Name: sugar-hello-world
Short Description: Sugar activity to print "Hello world" on screen
Owners: callkalpa
Branches: f16 f17 f18
InitialCC:
Comment 9 Jon Ciesla 2013-01-22 09:09:08 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-01-24 00:05:26 EST
sugar-hello-world-6-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-hello-world-6-3.fc18
Comment 11 Fedora Update System 2013-01-24 17:02:46 EST
sugar-hello-world-6-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-02-01 23:30:52 EST
sugar-hello-world-6-3.fc18 has been pushed to the Fedora 18 stable repository.